Workspace (Gradle API 9.7.0)
Description: declaration: package: org.gradle.plugins.ide.idea.model, class: Workspace

# Class Workspace

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.idea.model.Workspace

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

@Deprecated public class Workspace extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
Deprecated.
Will be removed in Gradle 10.
Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Workspace(org.gradle.internal.xml.XmlTransformer withXmlActions)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDefaultResourceName()`
  Deprecated.
  `protected void`
  `load(Node xml)`
  Deprecated.
  `protected void`
  `store(Node xml)`
  Deprecated.

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

  `load, loadDefaults, store`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Workspace

    public Workspace(org.gradle.internal.xml.XmlTransformer withXmlActions)
    Deprecated.

- ## Method Details

  - ### getDefaultResourceName

    protected String getDefaultResourceName()
    Deprecated.
    Specified by:
      `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### load

    protected void load(Node xml)
    Deprecated.
    Overrides:
      `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### store

    protected void store(Node xml)
    Deprecated.
    Overrides:
      `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`